This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 857407 - Introduce new systemd-rpm macros in suricata spec file
Introduce new systemd-rpm macros in suricata spec file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: suricata (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-09-14 06:48 EDT by Václav Pavlín
Modified: 2012-11-07 14:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 14:04:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Václav Pavlín 2012-09-14 06:48:06 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Steve Grubb 2012-11-07 14:04:02 EST
A new release of suricata-1.3.3-1 is currently in testing. It uses the macros as suggested. Closing this as next release. Thanks for reporting the issue.

Note You need to log in before you can comment on or make changes to this bug.